superlu_enum_consts.h File Reference

enum constants header file More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | LargeDiag_AWPM LargeDiag_HWPM /* backward compatibility */

## Enumerations

enum | yes_no_t { NO , YES }
enum | fact_t { DOFACT , SamePattern , SamePattern_SameRowPerm , FACTORED }
enum | rowperm_t { NOROWPERM , LargeDiag_MC64 , LargeDiag_HWPM , MY_PERMR }
enum | colperm_t { NATURAL , MMD_ATA , MMD_AT_PLUS_A , COLAMD , METIS_AT_PLUS_A , PARMETIS , METIS_ATA , ZOLTAN , MY_PERMC }
enum | trans_t { NOTRANS , TRANS , CONJ }
enum | DiagScale_t { NOEQUIL , ROW , COL , BOTH }
enum | IterRefine_t { NOREFINE , SLU_SINGLE =1 , SLU_DOUBLE , SLU_EXTRA }
enum | MemType { LUSUP , UCOL , LSUB , USUB , LLVL , ULVL , NO_MEMTYPE }
enum | stack_end_t { HEAD , TAIL }
enum | LU_space_t { SYSTEM , USER }
enum | norm_t { ONE_NORM , TWO_NORM , INF_NORM }
enum | milu_t { SILU , SMILU_1 , SMILU_2 , SMILU_3 }
enum | rule_t { NODROP = 0x0000 , DROP_BASIC = 0x0001 , DROP_PROWS = 0x0002 , DROP_COLUMN = 0x0004 , DROP_AREA = 0x0008 , DROP_SECONDARY = 0x000E , DROP_DYNAMIC = 0x0010 , DROP_INTERP = 0x0100 }
enum | PhaseType { COLPERM , ROWPERM , RELAX , ETREE , EQUIL , SYMBFAC , DIST , FACT , COMM , COMM_DIAG , COMM_RIGHT , COMM_DOWN , SOL_COMM , SOL_GEMM , SOL_TRSM , SOL_TOT , RCOND , SOLVE , REFINE , TRSV , GEMV , FERR , NPHASES }

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

– SuperLU routine (version 4.1) – Lawrence Berkeley National Lab, Univ. of California Berkeley, October 1, 2010 January 28, 2018

## Macro Definition Documentation

## LargeDiag_AWPM

#define LargeDiag_AWPM LargeDiag_HWPM /* backward compatibility */

## Enumeration Type Documentation

## colperm_t

enum colperm_t

Enumerator
NATURAL |
MMD_ATA |
MMD_AT_PLUS_A |
COLAMD |
METIS_AT_PLUS_A |
PARMETIS |
METIS_ATA |
ZOLTAN |
MY_PERMC |

## DiagScale_t

enum DiagScale_t

Enumerator
NOEQUIL |
ROW |
COL |
BOTH |

## fact_t

enum fact_t

Enumerator
DOFACT |
SamePattern |
SamePattern_SameRowPerm |
FACTORED |

## IterRefine_t

enum IterRefine_t

Enumerator
NOREFINE |
SLU_SINGLE |
SLU_DOUBLE |
SLU_EXTRA |

## LU_space_t

enum LU_space_t

Enumerator
SYSTEM |
USER |

## MemType

enum MemType

Enumerator
LUSUP |
UCOL |
LSUB |
USUB |
LLVL |
ULVL |
NO_MEMTYPE |

## milu_t

enum milu_t

Enumerator
SILU |
SMILU_1 |
SMILU_2 |
SMILU_3 |

## norm_t

enum norm_t

Enumerator
ONE_NORM |
TWO_NORM |
INF_NORM |

## PhaseType

enum PhaseType

Enumerator
COLPERM |
ROWPERM |
RELAX |
ETREE |
EQUIL |
SYMBFAC |
DIST |
FACT |
COMM |
COMM_DIAG |
COMM_RIGHT |
COMM_DOWN |
SOL_COMM |
SOL_GEMM |
SOL_TRSM |
SOL_TOT |
RCOND |
SOLVE |
REFINE |
TRSV |
GEMV |
FERR |
NPHASES |

## rowperm_t

enum rowperm_t

Enumerator
NOROWPERM |
LargeDiag_MC64 |
LargeDiag_HWPM |
MY_PERMR |

## rule_t

enum rule_t

Enumerator
NODROP |
DROP_BASIC |
DROP_PROWS |
DROP_COLUMN |
DROP_AREA |
DROP_SECONDARY |
DROP_DYNAMIC |
DROP_INTERP |

## stack_end_t

enum stack_end_t

Enumerator
HEAD |
TAIL |

## trans_t

enum trans_t

Enumerator
NOTRANS |
TRANS |
CONJ |

## yes_no_t

enum yes_no_t

Enumerator
NO |
YES |